UDP
All operations require authentication.
List UDP farmsBeta
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of vrackNetworkId property (=)
Filter the value of zone property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a UDP farmBeta
Path parameters
The internal name of your IP load balancing
Request body (required)
Human readable name for your backend, this field is for you
Port attached to your farm ([1..49151]). Inherited from frontend if null
Internal Load Balancer identifier of the vRack private network to attach to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of your farm
Response
Human readable name for your backend, this field is for you
Id of your farm
Port attached to your farm. Inherited from frontend if null
Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of you farm
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "farmId": 0, "port": 0, "vrackNetworkId": 0, "zone": "string"}
Get a UDP farmBeta
Path parameters
Id of your farm
The internal name of your IP load balancing
Response
Human readable name for your backend, this field is for you
Id of your farm
Port attached to your farm. Inherited from frontend if null
Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of you farm
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId} \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "farmId": 0, "port": 0, "vrackNetworkId": 0, "zone": "string"}
Delete a UDP farmBeta
Path parameters
Id of your farm
The internal name of your IP load balancing
Response
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId} \
-H "authorization: Bearer $OVH_TOKEN"Update a UDP farmBeta
Path parameters
Id of your farm
The internal name of your IP load balancing
Request body (required)
Human readable name for your backend, this field is for you
Id of your farm
Port attached to your farm. Inherited from frontend if null
Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of you farm
Response
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId} \
-H "authorization: Bearer $OVH_TOKEN"List farm serversBeta
Path parameters
Id of your farm
The internal name of your IP load balancing
Query parameters
Filter the value of address property (=)
Filter the value of status property (=)
activeinactiveResponse
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId}/ server \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a farm serverBeta
Path parameters
Id of your farm
The internal name of your IP load balancing
Request body (required)
Address of your server
Human readable name for your server, this field is for you
Port attached to your server ([1..49151]). Inherited from farm if null
Enable or disable your server
activeinactiveResponse
Address of your server
farm id
Human readable name for your server, this field is for you
Port attached to your server. Inherited from farm if null
Id of your server
Status attached to your server
activeinactiveExample uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId}/ server \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "192.0.2.0", "backendId": 0, "displayName": "string", "port": 0, "serverId": 0, "status": "active"}
Get a farm serverBeta
Path parameters
Id of your farm
Id of your server
The internal name of your IP load balancing
Response
Address of your server
farm id
Human readable name for your server, this field is for you
Port attached to your server. Inherited from farm if null
Id of your server
Status attached to your server
activeinactiveExample uses farmId = 0, serverId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId}/ server/ {serverId} \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "192.0.2.0", "backendId": 0, "displayName": "string", "port": 0, "serverId": 0, "status": "active"}
Delete a farm serverBeta
Path parameters
Id of your farm
Id of your server
The internal name of your IP load balancing
Response
Example uses farmId = 0, serverId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId}/ server/ {serverId} \
-H "authorization: Bearer $OVH_TOKEN"Update a farm serverBeta
Path parameters
Id of your farm
Id of your server
The internal name of your IP load balancing
Request body (required)
Address of your server
farm id
Human readable name for your server, this field is for you
Port attached to your server. Inherited from farm if null
Id of your server
Status attached to your server
activeinactiveResponse
Example uses farmId = 0, serverId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ farm/ {farmId}/ server/ {serverId} \
-H "authorization: Bearer $OVH_TOKEN"